This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 751201 - Review Request: jDownloader
Review Request: jDownloader
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 16:24 EDT by Sven Baus
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-05 10:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sven Baus 2011-11-03 16:24:18 EDT
Hello everybody,

in order to get sponsored (I've packaged butt for RPM - Fusion) I would like to package jDownloader for Fedora (https://fedoraproject.org/wiki/Package_maintainers_wishlist#H-K). I know, that it uses Java and I'm a bit confused, since I read this: https://fedoraproject.org/wiki/ForbiddenItems#Sun_Java

Does OpenJDK open the same functionality to me as Oracles Java?

Thanks for your information in advance.
Comment 1 Alexander Kurtakov 2011-11-03 17:06:01 EDT
OpenJDK is a droping replacement of Oracle Java for almost every case.
Comment 2 Jason Tibbitts 2011-11-03 17:30:30 EDT
Did you actually have a package for us to review?
Comment 3 Felix Kaechele 2011-11-05 10:07:15 EDT
I'm afraid JDownloader cannot be packaged for Fedora as it depends on several non-free Java libraries, most prominently the Synthetica Look & Feel Library.
Also see: http://www.jyloo.com/synthetica/license/

If this should change at some point please open a new Review Request and mark this as duplicate.

Closing this as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.